# Asterisk Project : Asterisk 12 ManagerEvent_BlindTransfer

Added by wikibot , edited by wikibot on Dec 18, 2013

# BlindTransfer

### Synopsis

Raised when a blind transfer is complete.

### Description

### Syntax

    Action:
    Result: <value>
    TransfererChannel: <value>
    TransfererChannelState: <value>
    TransfererChannelStateDesc: <value>
    TransfererCallerIDNum: <value>
    TransfererCallerIDName: <value>
    TransfererConnectedLineNum: <value>
    TransfererConnectedLineName: <value>
    TransfererAccountCode: <value>
    TransfererContext: <value>
    TransfererExten: <value>
    TransfererPriority: <value>
    TransfererUniqueid: <value>
    BridgeUniqueid: <value>
    BridgeType: <value>
    BridgeTechnology: <value>
    BridgeCreator: <value>
    BridgeName: <value>
    BridgeNumChannels: <value>
    IsExternal: <value>
    Context: <value>
    Extension: <value>

##### Arguments

- `Result` - Indicates if the transfer was successful or if it failed.
  - `Fail` - An internal error occurred.
  - `Invalid` - Invalid configuration for transfer (e.g. Not bridged)
  - `Not Permitted` - Bridge does not permit transfers
  - `Success` - Transfer completed successfully

    Note

    Icon

    A result of `Success` does not necessarily mean that a target was succesfully contacted. It means that a party was succesfully placed into the dialplan at the expected location.

- `TransfererChannel`
- `TransfererChannelState` - A numeric code for the channel's current state, related to TransfererChannelStateDesc
- `TransfererChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `TransfererCallerIDNum`
- `TransfererCallerIDName`
- `TransfererConnectedLineNum`
- `TransfererConnectedLineName`
- `TransfererAccountCode`
- `TransfererContext`
- `TransfererExten`
- `TransfererPriority`
- `TransfererUniqueid`
- `BridgeUniqueid`
- `BridgeType` - The type of bridge
- `BridgeTechnology` - Technology in use by the bridge
- `BridgeCreator` - Entity that created the bridge if applicable
- `BridgeName` - Name used to refer to the bridge by its BridgeCreator if applicable
- `BridgeNumChannels` - Number of channels in the bridge
- `IsExternal` - Indicates if the transfer was performed outside of Asterisk. For instance, a channel protocol native transfer is external. A DTMF transfer is internal.
  - `Yes`
  - `No`
- `Context` - Destination context for the blind transfer.
- `Extension` - Destination extension for the blind transfer.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r404099